com.icesoft.faces.component.dragdrop

## Class DropEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - com.icesoft.faces.component.dragdrop.DndEvent
      - - com.icesoft.faces.component.dragdrop.DropEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class DropEvent
      extends DndEvent

  DropEvents are passed to dropListener methods
  See Also:
    `DndEvent`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.component.dragdrop.DndEvent

      `DRAG_CANCEL, DRAG_START, DRAGGING, DROPPED, HOVER_END, HOVER_START, MASK_ALL, MASK_ALL_BUT_DROPS`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropEvent(javax.faces.component.UIComponent uiComponent, int eventType, java.lang.String targetId, java.lang.Object targetDragValue, java.lang.Object targetDropValue)`

  - ### Method Summary

    - ### Methods inherited from class com.icesoft.faces.component.dragdrop.DndEvent

      `getEventName, getEventType, getTargetClientId, getTargetDragValue, getTargetDropValue, isAppropriateListener, parseMask, processListener`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DropEvent

          public DropEvent(javax.faces.component.UIComponent uiComponent,
                           int eventType,
                           java.lang.String targetId,
                           java.lang.Object targetDragValue,
                           java.lang.Object targetDropValue)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.